#!/bin/bash

set -e

dest_dir=
dir_type=

global_dir="/usr/share/applications"
local_dir="$HOME/.local/share/applications"

if [[ -d "$global_dir" && -w "$global_dir" ]]; then
	dest_dir=$global_dir
	dir_type="for all users"
else
	dest_dir=$local_dir
	dir_type="for $USER user only; use \"sudo\" to install for all users"
fi

output_file="$dest_dir/makagiga.desktop"

if [ -f "$output_file" ]; then
	echo "Menu shortcut already exists:"
	echo "$output_file"
	echo
	read -r -p "Remove? (Y/n) "
	if [[ "$REPLY" == "" || "$REPLY" == "y" || "$REPLY" == "Y" ]]; then
		rm -v "$output_file"
	fi
	exit 0
fi

echo "Install Makagiga application shortcut in"
echo "'$dest_dir' directory?"
echo "($dir_type)"

read -r -p "Install? (Y/n) "
echo

if [[ "$REPLY" == "" || "$REPLY" == "y" || "$REPLY" == "Y" ]]; then
	base_dir=$(readlink -f ".")
	input_file="$base_dir/tools/makagiga.desktop"

	input_file_tmp="$base_dir/tools/makagiga.desktop.tmp"
	cp "$input_file" "$input_file_tmp"
	sed -i "s?@@BASE_DIR@@?$base_dir?g" "$input_file_tmp"
	sed -i "s?@@EXEC_PATH@@?\"$base_dir/makagiga.sh\"?g" "$input_file_tmp"
	sed -i "s?@@ICON_PATH@@?$base_dir/makagiga.png?g" "$input_file_tmp"

	mv -v "$input_file_tmp" "$output_file"

	echo
	echo "Menu shortcut usually can be found in apps Menu -> Office -> Makagiga"
	echo "Run '$0' again to uninstall the shortcut."
fi
