const UI       = Java.type("org.makagiga.commons.UI");
const MButton  = Java.type("org.makagiga.commons.swing.MButton");
const MDialog  = Java.type("org.makagiga.commons.swing.MDialog");
const MMessage = Java.type("org.makagiga.commons.swing.MMessage");

let button = new MButton("Click Me!", "ui/info");
button.addActionListener(e => {
	// executed on button click:
	let clickedButton = e.source;
	clickedButton.iconName = "labels/emotion/happy";
	clickedButton.text = "OK!";
} );

let owner = UI.windowFor(null); // parent window

let dialog = new MDialog(
	owner,
	"Hello Dialog", // title
	"ui/misc", // icon name
	MDialog.STANDARD_DIALOG // modal dialog with OK and Cancel buttons
);
dialog.addCenter(button);
dialog.pack(); // auto layout

if (dialog.exec()) // show dialog
	MMessage.info(owner, "OK button clicked");
else
	MMessage.warning(owner, "Cancel button clicked");
